> For a complete page index, fetch https://developer.close.com/llms.txt

# List Custom Object Types

GET https://api.close.com/api/v1/custom_object_type/

The response will include all Custom Object Types, including Custom Field metadata for your organization.

Each Custom Object Type has two lists of Custom Fields. The `fields` property contains the list of fields that belong to the Custom Object Type. The `back_reference_fields` property contains the list of any objects (Leads, Contacts, Opportunities, Custom Activities, Custom Objects) that reference the Custom Object Type.

Reference: https://developer.close.com/api/resources/custom-object-types/list

## Authentication

- `Authorization` header (basic auth, required) — Use your API key as the username and leave the password empty.
- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Response

### 200

Successful response

## Errors

### 400 Bad Request Error

Bad request

- `any`

### 401 Unauthorized Error

Unauthorized

- `any`

### 404 Not Found Error

Not found

- `any`

## Examples

**Response**

```json
{
  "data": [
    {
      "api_create_only": true,
      "back_reference_fields": [],
      "created_by": "user_Ova4RGFG7pztSeJiiMFdN7O2MFl71nD0uGO3bIOo4Wk",
      "date_created": "2020-07-09T15:36:16.795350",
      "date_updated": "2020-07-09T15:36:16.795350",
      "description": "A Resource tracked by an external system.",
      "editable_with_roles": [],
      "fields": [
        {
          "accepts_multiple_values": true,
          "back_reference_is_visible": true,
          "description": "Account objects using this Resource.",
          "editable_with_roles": [],
          "id": "cf_jnxTQDKnSxCEBtD5dvZdNgTzC3CqeyWUyU349PBA9Wf",
          "name": "Linked Accounts",
          "referenced_custom_type_id": "cotype_4hQsScWF3hnUOyngoaAV00",
          "required": true,
          "type": "custom_object"
        }
      ],
      "id": "cotype_1h5m6uHM9BZOpwVhyRJb4Y",
      "name": "Resource",
      "name_plural": "Resources",
      "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH",
      "updated_by": "user_Ova4RGFG7pztSeJiiMFdN7O2MFl71nD0uGO3bIOo4Wk"
    },
    {
      "api_create_only": false,
      "back_reference_fields": [
        {
          "accepts_multiple_values": true,
          "back_reference_is_visible": true,
          "description": "Account objects using this Resource.",
          "editable_with_roles": [],
          "id": "cf_jnxTQDKnSxCEBtD5dvZdNgTzC3CqeyWUyU349PBA9Wf",
          "name": "Linked Accounts",
          "referenced_custom_type_id": "cotype_4hQsScWF3hnUOyngoaAV00",
          "required": true,
          "type": "custom_object"
        }
      ],
      "created_by": "user_Ova4RGFG7pztSeJiiMFdN7O2MFl71nD0uGO3bIOo4Wk",
      "date_created": "2020-07-27T21:28:39.765523",
      "date_updated": "2020-07-27T21:28:39.765523",
      "description": "An Account managed by this client.",
      "editable_with_roles": [],
      "fields": [
        {
          "accepts_multiple_values": false,
          "description": "ID from the external Account system.",
          "editable_with_roles": [],
          "id": "cf_cSh3fWT3rEJ1BFSezme2YAG6bPrZV5wUWKKrW4iN19g",
          "name": "Account ID",
          "required": false,
          "type": "text"
        },
        {
          "accepts_multiple_values": false,
          "description": "Main point of contact for this account.",
          "editable_with_roles": [],
          "id": "cf_UpyNBvr6Rw8UBHh7zRboL3PYhbOVJl3XvwgPm3jg64S",
          "name": "Point of Contact",
          "required": true,
          "type": "contact"
        },
        {
          "accepts_multiple_values": false,
          "choices": [
            "Active",
            "Cancelled",
            "Potential"
          ],
          "description": null,
          "editable_with_roles": [],
          "id": "cf_cSh3fWT3rEJ1BFSezme2YAG6bPrZV5wUWKKrW4iN19g",
          "name": "Status",
          "required": false,
          "type": "choices"
        }
      ],
      "id": "cotype_4hQsScWF3hnUOyngoaAV00",
      "name": "Account",
      "name_plural": "Accounts",
      "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH",
      "updated_by": "user_Ova4RGFG7pztSeJiiMFdN7O2MFl71nD0uGO3bIOo4Wk"
    }
  ]
}
```

**SDK Code**

```python custom_object_types_list_example
import requests

url = "https://api.close.com/api/v1/custom_object_type/"

response = requests.get(url, auth=("<CLOSE_API_KEY>", ""))

print(response.json())
```

```javascript custom_object_types_list_example
const url = 'https://api.close.com/api/v1/custom_object_type/';
const credentials = btoa("<CLOSE_API_KEY>:");

const options = {method: 'GET', headers: {Authorization: `Basic ${credentials}`}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go custom_object_types_list_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.close.com/api/v1/custom_object_type/"

	req, _ := http.NewRequest("GET", url, nil)

	req.SetBasicAuth("<CLOSE_API_KEY>", "")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby custom_object_types_list_example
require 'uri'
require 'net/http'

url = URI("https://api.close.com/api/v1/custom_object_type/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request.basic_auth("<CLOSE_API_KEY>", "")

response = http.request(request)
puts response.read_body
```

```java custom_object_types_list_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.close.com/api/v1/custom_object_type/")
  .basicAuth("<CLOSE_API_KEY>", "")
  .asString();
```

```php custom_object_types_list_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.close.com/api/v1/custom_object_type/', [
  'headers' => [
  ],
    'auth' => ['<CLOSE_API_KEY>', ''],
]);

echo $response->getBody();
```

```csharp custom_object_types_list_example
using RestSharp;
using RestSharp.Authenticators;

var client = new RestClient("https://api.close.com/api/v1/custom_object_type/");
client.Authenticator = new HttpBasicAuthenticator("<CLOSE_API_KEY>", "");
var request = new RestRequest(Method.GET);

IRestResponse response = client.Execute(request);
```